<div class="principal">
  
  <form [formGroup]="form" class="conboton">

      <div class="fila1">
          <button class="agregar" mat-button (click)="addMaterial()">+</button>

          <button class="eliminar-todo" mat-button (click)="deleteAll()">Eliminar todo</button>
      </div>

      <div class="containerprin"  formArrayName="utiles">

          <div class="contenido1"   *ngFor="let s of getUtiles.controls; let i = index " [formGroupName]="i">

              <mat-form-field appearance="legacy">
                  <mat-label>Utiles Escolares</mat-label>
                  <input matInput formControlName="utilNuevo">
                  <small *ngIf="s.invalid">Solo se admiten letras</small>
              </mat-form-field>
             
              <mat-checkbox 
              class="example-margin" 
              formControlName="check"
              >Aceptar</mat-checkbox>
                
              <button 
              class="eliminar" 
              mat-button
              (click)="deleteUtilEscolar(i)"
              >Eliminar</button>
          
          </div>
        
      </div>
      <br>
      <div class="fila3">
          <button class="guardar" mat-button (click)="guardar()" [disabled]="invalido">Guardar</button>
          <button class="limpiar" mat-button (click)="limpiar()">Limpiar</button>
      </div>

    </form>

    <div>
       <p>
          {{ arrayutiles.join('\n')}}
       </p>
    </div>

</div>
